{
    attributes = (
        {
            className = "java.lang.Number"; 
            columnName = "SDOM_ID"; 
            externalType = NUMBER; 
            name = sdomId; 
            precision = 12; 
            valueType = l; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "SRDOM_ID"; 
            externalType = NUMBER; 
            name = srdomId; 
            precision = 12; 
            valueType = l; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "STG_ID"; 
            externalType = NUMBER; 
            name = stgId; 
            precision = 12; 
            valueType = l; 
        }
    ); 
    attributesUsedForLocking = (srdomId); 
    className = "org.cocktail.fwkcktlstages.serveur.metier.EOStgRepartDomaine"; 
    classProperties = (stgDomaine, stgStage); 
    externalName = "STAGES.STG_REPART_DOMAINE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkCktlStages_StgRepartDomaine"; 
    primaryKeyAttributes = (srdomId); 
    relationships = (
        {
            destination = "FwkCktlStages_StgDomaine"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = sdomId; sourceAttribute = sdomId; }); 
            name = stgDomaine; 
        }, 
        {
            destination = "FwkCktlStages_StgStage"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = stgStage; 
        }
    ); 
}
